Package de.xima.fc.api.rest.pub.client.generic
-
Interface Summary Interface Description ApiBundle A bundle that contains all the individual APIs.ApiCallInterceptor An interceptor that can be used to react to and modify calls to REST API endpoints.ApiClient Defines the interface for the API client.ApiInvocation<T> Wraps a prepared API request call and provides different styles of executing the request, both synchronously and asynchronously.EndpointCategory Base interface for a collection of API calls under the same category.JaxRsAdapter Adapter for the API client that integrates with a Jax RS implementation.OneOfN.EitherMatcher<R,T1,T2> A matcher object that contains a handler for each case and can be used to reduce a sum type to a single value.OneOfN.JustMatcher<R,T1> A matcher object that contains a handler for each case and can be used to reduce a sum type to a single value.OneOfN.NoneMatcher<R> A matcher object that contains a handler for each case and can be used to reduce a sum type to a single value.OneOfN.OneOf3Matcher<R,T1,T2,T3> A matcher object that contains a handler for each case and can be used to reduce a sum type to a single value.OneOfN.OneOf4Matcher<R,T1,T2,T3,T4> A matcher object that contains a handler for each case and can be used to reduce a sum type to a single value.OneOfN.OneOf5Matcher<R,T1,T2,T3,T4,T5> A matcher object that contains a handler for each case and can be used to reduce a sum type to a single value. -
Class Summary Class Description ApiCall<Self> Represents a general API call to an endpoint.ApiClientBuilder A simple builder for creating the configuration of anApiClient.ApiClientConfig Encapsulates the configuration for theApiClient.ApiResponse<T> Represents the result of a REST API call.DefaultApiBundle The default implementation of anApiBundlethat provides access to the individual APIs.DefaultApiClient The default API client that is responsible for sending REST-like calls to an API endpoint and also takes care of serialization and deserialization.DefaultApiInvocation<T> Default implementation of aApiInvocationwhich simply delegates to theApiClient.DefaultObjectMapperResolver A JaxRS context resolver that adds a basicObjectMapperfor serialization and deserialization.EndpointCategoryCall<Self> Represents an API call made from a certainEndpointCategory.Formatter Helper methods for web related tasks such as URL encoding etc.JaxRsAdapterRestEasy Adapter for the API client that integrates with a Jax RS implementation.JaxRsAdapterRestEasyBuilder Simple builder for configuring a JaxRS RestEASY adapter.OneOfN Base class for emulating a sum type (also known as a discriminated union) of N elements.OneOfN.Either<T1,T2> Emulates a sum type consisting of 2 cases.OneOfN.Just<T1> Emulates a sum type consisting of 1 cases.OneOfN.None Emulates a sum type consisting of 0 cases.OneOfN.OneOf3<T1,T2,T3> Emulates a sum type consisting of 3 cases.OneOfN.OneOf4<T1,T2,T3,T4> Emulates a sum type consisting of 4 cases.OneOfN.OneOf5<T1,T2,T3,T4,T5> Emulates a sum type consisting of 5 cases.Pair A product type (also known as a tuple) of 2 elements.RequestBody Base class for the body of endpoints that allow multiple different request body types.ResponseTypeInfo Info about a response with the return type and the sum type.RFC3339DateFormat ADateFormatimplementation that formats dates according to RFC3339.StringUtil Helper methods for working with strings. -
Exception Summary Exception Description ApiException Exception thrown by various REST API methods.UnexpectedStatusCodeException When an answer was received from the REST API, but the status code did not match any known status code.UnsuccessfulStatusCodeException When an answer was received from the REST API and the status code did match a known status code, but that status code was not a success status code 2xx.